package com.base.filerecoveryrecyclebin.bean

import com.base.filerecoveryrecyclebin.utils.FileHexEx.isDoc
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isDocx
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isFlac
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isMp3
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isPPT
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isPPTX
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isPdf
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isWav
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isXls
import com.base.filerecoveryrecyclebin.utils.FileHexEx.isXlsx
import java.io.File

data class RecoveryBean(
    val path: String = "",
) {
    var isSelect: Boolean = false
    var isThumbnails: Boolean = false
    var type: String = ""

    companion object {
        fun RecoveryBean.setDocumentType() {
            val file = File(path)
            if (isPdf(file)) {
                type = "PDF"
            }
            if (isDocx(file) || isDoc(file)) {
                type = "DOC"
            }
            if (isXlsx(file) || isXls(file)) {
                type = "XLS"
            }
            if (isPPTX(file) || isPPT(file)) {
                type = "PPT"
            }
        }

        fun RecoveryBean.setAudioType() {
            val file = File(path)
            if (isMp3(file)) {
                type = "MP3"
            }
            if (isWav(file)) {
                type = "WAV"
            }
            if (isFlac(file)) {
                type = "FLAC"
            }
        }

    }
}